Kodi Community Forum

Full Version: Not Supported ?
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Been trying to download Kodi 17 on my Matricom G-Box but tells me my device is not supported.
I have 3 other boxes (same) which allowed me to download the updated version of Kodi
Can't seem to even download it of the Kodi website either
Check Android version on your box. It must be 5 or greater in order to run Kodi v17
Read the sticky:

306038 (thread)